<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
//$inicio=$sessao->getVar('inicio');
//$final=$sessao->getVar('final');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$legendaGeral="GESTÃO DE FICHAS ". $finalidade." (Imprimir várias definindo a inicial e a final) " ;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 
//captura a ficha configurada
	   //VAI LER TODA VEZ O CONTEUDO DA TABELA
	    $user = new tabeladeful();
		$user->extras_select =" where   cod_lab=".$idLabo ;
	    $user->selecionaTudo($user);
		while ($res = $user->retornaDados()):
	        $modelo_ficha=$res->modelo_ficha;//opcao que sempre 
	        $modelo_ficha_virtual=$res->modelo_ficha_virtual;//opcao que sempre 
	    endwhile;
////////////

$amostraLong=$sessao->getVar('amostraLong');
if($amostraLong>0):
	$userAmostra = new amostras();
	$userAmostra->extras_select =  " where fic_id=".$amostraLong;
	$userAmostra->selecionaCampos($userAmostra);
	while ($resAmostra = $userAmostra->retornaDados()):
	    $ultima=$resAmostra->fic_amostra;
	endwhile;
endif;
	
//echo('passando na 38<br>');	
$sessao->setVar('inicio', $ultima);
$sessao->setVar('final', $ultima);





//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;	
	//echo('passando na 38<br>');	
	$sessao->setVar('amostraLong', $amostraLong);
	//$sessao->setVar('idCultivar',$idCultivar);
	//$sessao->setVar('idProdutor',$idProdutor);
	//$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 //$idCultivar=$sessao->getVar($idCultivar);
	 //$idProdutor=$sessao->getVar($idProdutor);
	 //$idAmostrador=$sessao->getVar($idAmostrador);
}




switch ($tela):

    case 'nova':
      echo"esta no nova";
	  $tela='editar';
    break;





    case 'editar':
        $sessao = new sessao();
		$finalidade=$sessao->getVar('finalidade');
		$inicio=$_POST['inicio'];
		$final=$_POST['final'];
		//para ele pegar o inicio e o final logo que entra aqui
		if($inicio=="")$inicio=$sessao->getVar('inicio');
		if($final=="")$final=$sessao->getVar('final');
		
        $sessao->setVar('inicio',$inicio);		
        $sessao->setVar('final',$final);		
        if (isset($_POST['alternar'])):
    		if($finalidade=='PREVIA'):
  			   $finalidade='DEFINITIVA';
			else:
  			   $finalidade='PREVIA';
			endif;
			$sessao->SetVar('finalidade',$finalidade);
			$amostraLong=$objetocalculo->achaUltima();
		endif;
        echo("<h2>GESTAO DE FICHAS ".$finalidade." (Imprimir grupo de fichas).. </h2>");
		
		$amostraLong=$sessao->getVar("amostraLong");
        //echo("amostraLongaaaaaaaaaaa dentro de editar  $amostraLong<br>") ; 
			if(isset($_POST['manual'])):
	           echo '<iframe src="manual2010.php?opcaoManual=registraamostras" style="border:0" width="100%" height="350"></iframe>';//funciona
 	        endif;	

            if (isset($_GET['achar_id'])):
             $amostraLong = $_GET['achar_id'];
             $sessao->setVar('amostraLong', $amostraLong);
			endif;
		
 		
	
		




				//echo("perto de editar amostraLong= $amostraLong idCultivar que vaai gravar=$idCultivar idProdutor que vai gravar=$idProdutor <br>");
				
				if (isset($_POST['imprimeficha'])):
					//ver qual o tipodeficha(se nao tem ainda,vai para o modelos basico)
				    $user = new tabeladeful();
					$user->extras_select =" where   cod_lab=".$idLabo ;
				    $user->selecionaTudo($user);
					while ($res = $user->retornaDados()):
				        $modelo_ficha=$res->modelo_ficha;//opcao que sempre 
				    endwhile;
                    //a medida que vou acrescentando modelos vou incluindo aqui
					if($modelo_ficha!='CA_PUREZA' && $modelo_ficha!='RICETEC'  && $modelo_ficha!='basico' && $modelo_ficha!='CruzAlta' && $modelo_ficha!='Germinacao' && $modelo_ficha!='ADV'  && $modelo_ficha!='DIMICRON'  && $modelo_ficha!='TZO' && $modelo_ficha!='FITO'  && $modelo_ficha!='completo' && $modelo_ficha!='TZO_UFLA' && $modelo_ficha!='DEGRANA_FORR'):
					   $modelo_ficha='basico';
				    endif;		
					//atencao: algumas fichas nao estao adicionadas aqui e podem ser trazidas do modulo amostras_2 (nao deletar isso)
					
                    //daqui para baixo os modelos existentes 
                    if($modelo_ficha=='CA_PUREZA')echo '<iframe src="imprimefichaCruzAltaPUR.php" style="border:0" width="100%" height="200"></iframe>';  
                    if($modelo_ficha=='basico')echo '<iframe src="imprimeficha1.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                    if($modelo_ficha=='CruzAlta')echo '<iframe src="imprimefichaCruzAlta.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                    if($modelo_ficha=='Germinacao')echo '<iframe src="imprimefichaGERM.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
					if($modelo_ficha=='completo')echo '<iframe src="imprimefichacompleto.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
					
					//echo("modelo ficha $modelo_ficha<br>");
					
					
					
                endif;//final do isset de imprimir ficha
				
                //ficha verso identificada por FV
				if (isset($_POST['imprimefichaverso'])):
                    echo '<iframe src="imprimefichaGERM.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                endif;//final do isset de imprimir ficha


				
				if (isset($_POST['imprimefichavirtual'])):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="imprimeFichaVirtualPDF.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                endif;






				if (isset($_POST['imprimefichavirtualquali1'])):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="imprimeFichaVirtualQualitesteRQ5.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                endif;
				if (isset($_POST['imprimefichavirtualquali2'])):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="imprimeFichaVirtualQualitesteRQ6.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                endif;
				if (isset($_POST['imprimefichavirtualquali3'])):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="imprimeFichaVirtualQualitesteRQ7.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  
                endif;
				
				
                
                if($inicio>0 && $final>=$inicio):
					//aqui vem a ficha que esta configurada na tabela deful
					if (isset($_POST['imprimefichaDeful'])):
						if($modelo_ficha=='DIMICRON'):
		                   echo '<iframe src="imprimefichaDimicron_mapa.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif;        
						if($modelo_ficha=='RICETEC'):
		                   echo '<iframe src="imprimefichaRicetec.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif; 
						if($modelo_ficha=='basico'   ):
		                   echo '<iframe src="imprimeficha1.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif; 

						if( $modelo_ficha=='completo' ):
		                   echo '<iframe src="imprimefichacompleto.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif; 


						if($modelo_ficha=='ADV'):
		                   echo '<iframe src="imprimefichaADV.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif;        

						if($modelo_ficha=='Conceito'):
		                   echo '<iframe src="imprimefichaConceito.php" style="border:5px dotted red" width="100%" height="200"></iframe>';//funciona  		
						endif;        


						//SE APARECER MAIS ALGUM QUERENDO FICHAS AUTOMATICAS DEVO ACRESCENTA AQUI, E LA NA FICHA
						//PRECISO COLOCAR UM FOR MARA VARER OS REGISTROS TAIS COMO JA TEM NA FICHA DIMICRON E NA FICHA RICETEC
						
						       
	                endif;
                 else:
				 	printMSG('Precisa informar um intervalo válido!','alerta');
				 endif;				
				
				
				
				
########################################################################################################
				//amostras do enquadramnto previa passando para definitiva///////

				if (isset($_POST['passadefinitiva'])):
				    $numeroDigitado=$_POST['numeroDigitado'];
                    //vai capturar a ultima amostra das definitivas para acrecentr depois 1
                    if($numeroDigitado==""):
						$sqlultimo="select fic_amostra from ficha where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito
						$userOto=new amostras();
						$userOto->executaSQL($sqlultimo);
						$resOto=$userOto->retornaDados();
						$novaAmostra=$resOto->fic_amostra+1;
						$dt_entrada=date("Y-m-d");				
	                    //captura alguns dados da amostra corrente
	                    $amostraLong=$sessao->getVar('amostraLong');
	                    $rotuloBotao='Confirmar';
                    endif;     
                    //printMSG('Valor digitado=' . $numeroDigitado</a>');
					if($numeroDigitado>0):
						$userAmostra = new amostras();
	                    //vai gravar no campo fic_amostra o novo valor da amostra 
		                $sql="update ficha set fic_amostra='$numeroDigitado', fic_definitiva='S' where fic_id=".$amostraLong;
						$generica=new tabelagenerica();
		                $generica->grava_registro_com_retorno($sql);
                        printMSG('Passou para definitiva adquirindo o numero ' .$numeroDigitado.'</a>');
                    endif;

				endif;//final do isset para conversao de previa para definitiva
	
   
				
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           endereco:{required:true, endereco:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="POST" action="">
                <fieldset>
                    <legend><?php echo $legendaAmostra;?></legend>
                    <ul>
					 <?php echo $acesso; ?>
    					<table bgcolor="#d7d2d9" width="780">
                           
                           <td><table bgcolor="silver">
	
							 <tr>
							 <td>Início: <input type="text" name="inicio" size= "3" value="<?php echo $inicio;?>" /></td>
							 <td>Final: <input type="text" name="final" size= "3"   value="<?php echo $final;?>" /></td>
							 <td>Modelos: <input type="submit" name="imprimefichavirtualquali1" value="RQ 05" /></td>
							 <td> <input type="submit" name="imprimefichavirtualquali2" value="RQ 06" /></td>
							 <td> <input type="submit" name="imprimefichavirtualquali3" value="RQ 07" /></td>
							 <td> <input type="submit" name="imprimefichaDeful" value="<?php echo $modelo_ficha;?>(*)" /></td>
							 <td> <input type="submit" name="imprimefichavirtual" value="Ficha virtual" /></td>
							 </tr>
							 
							 
							 
							 
							 
							 
							 

						   
						   </table></td>
						</table>
						

						<table bgcolor="#bfb8c2" width="780">
                            <td>O modelo de ficha marcado com asterisco(*) foi definido em MANUTENÇÃO-->CONFIGURAÇÕES-->MODELO DE FICHA</td>					                             </table>
						<table bgcolor="#a9a0ad" width="780">
                            <td>Se o modelo que foi escolhido nao imprime nada, entao entre em contato com programador solicitando que adicione.</td>					                </table>
						<table bgcolor="#bfb8c2" width="780">
                            <td>Caso o sistema não localiza a amostra dentro do intervalo, será trazida aquela que está sendo acessada no momento(Amostra corrente).</td>	                         </table>
						<table bgcolor="#a9a0ad" width="780">
                            <td>Podem ser selecionadas amostras prévias ou definitivas. Use o botão próprio para alternar.</td>
					    </table>



					     
                        <li class="center">
						    <?php if($finalidade=='PREVIA'):
							    ?>
							    <input type="submit" name="alternar" value="Acessar definitivas" />
							    <?php
                            else:  
                                ?>
						        <input type="submit" name="alternar" value="Acessar previas" />
								<?php
							endif;  
							?>
							    <input type="submit" name="manual" value="Ajuda" /></td>
						</li>
                    </ul>
	
                </fieldset>
            </form>
        <?php
 
    break;

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>